# ---------------------------------------------------------------------------
# Arc_extract_by_mask.py
# Created on: Fri Jun 05 2009 12:09:58 
#   (generated by ArcGIS/ModelBuilder)
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting, glob, os.path

# Create the Geoprocessor object
gp = arcgisscripting.create()

# Check out any necessary licenses
gp.CheckOutExtension("spatial")

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
gp.overwriteoutput = 1

scenario_dir="\\\\nas2\\gemd\\georisk_models\\inundation\\data\\queensland\\gold_coast_tsunami_scenario_2009\\"
output_dir = "anuga\\outputs\\"


variable = 'speed'
time_dir1 = '20090508_150215_run_final_0_51469_lfountai'
time_dir2 = '20090511_165539_run_final_0_50863_lfountai'
time_dir3 = '20090511_161526_run_final_1.1_51469_kvanputt'
time_dir4 = '20090518_154710_run_final_0_50994_lfountai'
time_dir5 = '20090519_160510_run_final_1.1_50994_lfountai'
time_dir6 = '20090521_220101_run_final_1.1_50863_kvanputt'
time_dir7 = '20090522_164526_run_final_0_51392_lfountai'
time_dir8 = '20090522_164640_run_final_1.1_51392_lfountai'
time_dir9 = '20090522_164948_run_final_0_51423_lfountai'
time_dir10 = '20090522_165600_run_final_1.1_51423_lfountai'

time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5,
             time_dir6, time_dir7, time_dir8, time_dir9, time_dir10]


for time_dir in time_dirs:

    print time_dir

    #get event number
    time_dir_split = time_dir.split('_')
    event_number = time_dir_split[5]
    print 'event_number', event_number

    # Local variables...
    folder =  scenario_dir + output_dir + time_dir + '\\'
    raster_gdb = folder + 'raster.gdb'

    gp.Workspace = raster_gdb

    print gp.Workspace
    
    #replication dictionary
    replicate = (('batemans_bay', ''),
                 ('_', ''),('Geordie', 'Geo'),('Sorrento', 'Sor'), ('max','M_'),
                 ('Fremantle', 'Fre'),('Rockingham', 'Roc'),('depth','_dep_'),
                 ('speed', '_spe_'), ('elevation', '_ele_'), ('stage','_stage'))

    generate_filename = []
    input_raster = raster_gdb + '\\All_spe_M_'
    #input_raster = glob.glob(raster_gbd + 'All_dep*')
    print 'input raster', input_raster

    output_raster = raster_gdb + '\speed_'+event_number+'_clip'
    print 'output_raster', output_raster
    
# Local variables...
#depth_58346_msl = "N:\\georisk_models\\inundation\\data\\new_south_wales\\batemans_bay_tsunami_scenario_2009\\anuga\\outputs\\20090528_153025_run_final_0.0_58346_jgriffin\\raster.gdb\\depth_58346_msl"
#speed_58346_msl = "N:\\georisk_models\\inundation\\data\\new_south_wales\\batemans_bay_tsunami_scenario_2009\\anuga\\outputs\\20090528_153025_run_final_0.0_58346_jgriffin\\raster.gdb\\speed_58346_msl"
#All_dep_M_ = "N:\\georisk_models\\inundation\\data\\new_south_wales\\batemans_bay_tsunami_scenario_2009\\anuga\\outputs\\20090528_153025_run_final_0.0_58346_jgriffin\\raster.gdb\\All_dep_M_"
#All_spe_M_ = "N:\\georisk_models\\inundation\\data\\new_south_wales\\batemans_bay_tsunami_scenario_2009\\anuga\\outputs\\20090528_153025_run_final_0.0_58346_jgriffin\\raster.gdb\\All_spe_M_"
    aoi_land = "N:\\georisk_models\\inundation\\data\\queensland\\gold_coast_tsunami_scenario_2009\\anuga\\polygons\\polygons.gdb\\areas_of_interest"
#aoi_terrigal_umina_allarea_Union = "N:\\georisk_models\\inundation\\data\\new_south_wales\\batemans_bay_tsunami_scenario_2009\\anuga\\polygons\\polygons.gdb\\aoi_terrigal_umina_allarea_Union"

# Process: Extract by Mask...
    print 'extracting by mask'
    gp.ExtractByMask_sa(input_raster, aoi_land, output_raster)

# Process: Extract by Mask (2)...
#gp.ExtractByMask_sa(All_spe_M_, aoi_all, speed_58346_msl)

