# Standard modules
from os import sep
import os, glob
from os.path import join

# Related major packages
from anuga.utilities.csv_tools import merge_csv_key_values

# Application specific imports
from setup_model import project  # Definition of file names and polygons
import csv
directory = project.output_folder

time_dir1 = '20090508_150215_run_final_0_51469_lfountai'
time_dir2 = '20090511_161526_run_final_1.1_51469_kvanputt'
time_dir3 = '20090511_165539_run_final_0_50863_lfountai'
time_dir4 = '20090521_220101_run_final_1.1_50863_kvanputt'
time_dir5 = '20090518_154710_run_final_0_50994_lfountai'
time_dir6 = '20090519_160510_run_final_1.1_50994_lfountai'
time_dir7 = '20090522_164526_run_final_0_51392_lfountai'
time_dir8 = '20090522_164640_run_final_1.1_51392_lfountai'
time_dir9 = '20090522_164948_run_final_0_51423_lfountai'
time_dir10 = '20090522_165600_run_final_1.1_51423_lfountai'

time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5,
             time_dir6, time_dir7, time_dir8, time_dir9, time_dir10]

data = 'stage'
output_filename = 'gauges_combined_' + data + '.csv' 
for time_dir in time_dirs:
    print time_dir
    folder = join(directory, time_dir)
    output_file = join(folder, output_filename) 
    #Looking for 'gauge_<alphabetic>.csv' filename
    input_csv = glob.glob(folder + sep + 'gauge*.csv')
   
    csv_files = []
    for infile in input_csv:
        title = os.path.basename(infile)[:-4]
        title = title.replace('gauge_', '')
        if title in csv_files:
            print 'Title (%s) already in use' % title
            sys.exit(10)
        csv_files.append([infile, title])

   # print 'csv_files=%s' % str(csv_files)
    merge_csv_key_values(csv_files, output_file,
                         key_col='hours', data_col=data)
